Bug 1028472 - JON Server does not survive reload
JON Server does not survive reload
Status: NEW
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity low
: ---
: JON 3.4.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
: 1016691 1016698 1092891 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 09:24 EST by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-11-08 09:24:42 EST
Description of problem:

Sometimes you may need to reload RHQ Server it self. For example I wanted to enable collecting EJB calltimes, so I changed configuraion of EJB3 subsystem on RHQ Server. When I saved it, it triggered server reload (I had no clue it would cause reload). So server is reloading and RHQ deployments are not able to start anymore.



Version-Release number of selected component (if applicable):
JON 3.2.0.ER5

How reproducible: always


Steps to Reproduce:
1. import JON server
2. run reload operation via JON UI


Actual results:

JON UI stops responding instantly, which is expected. But after a while, JON deployments won't go UP back. Server would report "Startring" when visiting / context.


Expected results: Server should get back and UP after server reload


Additional info:
Comment 1 mark yarborough 2014-02-14 10:42:11 EST
*** Bug 1016691 has been marked as a duplicate of this bug. ***
Comment 2 Filip Brychta 2014-04-30 05:06:35 EDT
*** Bug 1092891 has been marked as a duplicate of this bug. ***
Comment 4 Stefan Negrea 2014-08-29 14:06:13 EDT
*** Bug 1016698 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.